Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.property
Interface ArcProperty

All Superinterfaces:
  Property, PropertyAccessor, java.io.Serializable

All Known Subinterfaces:
  CollectionProperty, SingleObjectArcProperty

All Known Implementing Classes:
  AbstractCollectionProperty, AbstractSingleObjectArcProperty, IndexedListProperty, ListProperty, PersistentObjectProperty, ToManyListProperty, ValueHolderProperty

    public interface ArcProperty

extends Property

A Property that represents an "arc" connecting source node to the target node in the graph.

Since:
  1.2
Author:
  Andrus Adamchik

Method Summary
`ArcProperty` | `getComplimentaryReverseArc()` Returns a complimentary reverse ArcProperty or null if no reverse arc exists.
`ClassDescriptor` | `getTargetDescriptor()` Returns a ClassDescriptor for the type of graph nodes pointed to by this arc property.
`boolean` | `isFault(java.lang.Object target)` Returns whether a target node connected to a given object is an unresolved fault.

Methods inherited from interface org.apache.cayenne.property.Property
`injectValueHolder, readProperty, shallowMerge, visit, writeProperty`

Methods inherited from interface org.apache.cayenne.property.PropertyAccessor
`getName, readPropertyDirectly, writePropertyDirectly`

Method Detail

### getComplimentaryReverseArc

    ArcProperty getComplimentaryReverseArc()

  Returns a complimentary reverse ArcProperty or null if no reverse arc exists.

### getTargetDescriptor

    ClassDescriptor getTargetDescriptor()

  Returns a ClassDescriptor for the type of graph nodes pointed to by this arc property. Note that considering that a target object may be a subclass of the class handled by the descriptor, users of this method may need to call `ClassDescriptor.getSubclassDescriptor(Class)` before using the descriptor to access objects.

### isFault

    boolean isFault(java.lang.Object target)

  Returns whether a target node connected to a given object is an unresolved fault.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.